## org.gnu.gdk
Class WindowEdge

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.WindowEdge

public class WindowEdge
extends org.gnu.glib.Enum

Field Summary
`static WindowEdge` `EAST`
`static WindowEdge` `NORTH`
`static WindowEdge` `NORTH_EAST`
`static WindowEdge` `NORTH_WEST`
`static WindowEdge` `SOUTH`
`static WindowEdge` `SOUTH_EAST`
`static WindowEdge` `SOUTH_WEST`
`static WindowEdge` `WEST`

Method Summary
`WindowEdge` `and(WindowEdge other)`
`static WindowEdge` `intern(int value)`
`WindowEdge` `or(WindowEdge other)`
`boolean` `test(WindowEdge other)`
`WindowEdge` `xor(WindowEdge other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORTH_WEST

    public static final WindowEdge NORTH_WEST

### NORTH

    public static final WindowEdge NORTH

### NORTH_EAST

    public static final WindowEdge NORTH_EAST

### WEST

    public static final WindowEdge WEST

### EAST

    public static final WindowEdge EAST

### SOUTH_WEST

    public static final WindowEdge SOUTH_WEST

### SOUTH

    public static final WindowEdge SOUTH

### SOUTH_EAST

    public static final WindowEdge SOUTH_EAST

Method Detail

### intern

    public static WindowEdge intern(int value)

### or

    public WindowEdge or(WindowEdge other)

### and

    public WindowEdge and(WindowEdge other)

### xor

    public WindowEdge xor(WindowEdge other)

### test

    public boolean test(WindowEdge other)